import { jsx } from "react/jsx-runtime";
import { TokenSPOOL as TokenSPOOL$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSPOOL = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "SPOOL", "data-name": "TokenSPOOL", ...props, children: /* @__PURE__ */ jsx(TokenSPOOL$1, { variant }) });
  }
);
TokenSPOOL.displayName = "TokenSPOOL";
Object.assign(TokenSPOOL, { isGdsIcon: true });
export {
  TokenSPOOL
};
